Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp
Class View.SceneListener

    java.lang.Object
      de.grogra.imp.View.SceneListener

All Implemented Interfaces:
  AttributeChangeListener, ChangeBoundaryListener, EdgeChangeListener

Enclosing class:
  View

    protected class View.SceneListener

extends java.lang.Object
implements AttributeChangeListener, EdgeChangeListener, ChangeBoundaryListener

Field Summary
`protected boolean` | `hasChanged`

Fields inherited from interface de.grogra.graph.ChangeBoundaryListener
`ATTRIBUTE_PRIORITY, TOPOLOGY_PRIORITY, UPDATE_PRIORITY`

Constructor Summary
`View.SceneListener()`

Method Summary
`void` | `attributeChanged(AttributeChangeEvent e)`
`void` | `beginChange(GraphState gs)`
`void` | `edgeChanged(java.lang.Object source, java.lang.Object target, java.lang.Object edgeSet, GraphState gc)`
`void` | `endChange(GraphState gs)`
`int` | `getPriority()`
`void` | `install(Graph g)`
`void` | `remove(Graph g)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hasChanged

    protected boolean hasChanged

Constructor Detail

### View.SceneListener

    public View.SceneListener()

Method Detail

### attributeChanged

    public void attributeChanged(AttributeChangeEvent e)

  Specified by:
    `attributeChanged` in interface `AttributeChangeListener`

### beginChange

    public void beginChange(GraphState gs)

  Specified by:
    `beginChange` in interface `ChangeBoundaryListener`

### edgeChanged

    public void edgeChanged(java.lang.Object source,
                            java.lang.Object target,
                            java.lang.Object edgeSet,
                            GraphState gc)

  Specified by:
    `edgeChanged` in interface `EdgeChangeListener`

### endChange

    public void endChange(GraphState gs)

  Specified by:
    `endChange` in interface `ChangeBoundaryListener`

### getPriority

    public int getPriority()

  Specified by:
    `getPriority` in interface `ChangeBoundaryListener`

### install

    public void install(Graph g)

### remove

    public void remove(Graph g)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD